<?php

namespace App\User\Database;

class CodecList
{
    public static $codecs = [
        '-',
        'h264',
        'h265/HEVC',
    ];

    public static function getCodecs()
    {
        return self::$codecs;
    }

    public static function asSelectOptions(): array
    {
        $result = [];
        foreach (static::$codecs as $codec) {
            $result[$codec] = $codec;
        }

        $result['h265/HEVC'] = 'h265';

        return $result;
    }
}
